import { Test, TestingModule } from '@nestjs/testing';
import { getRepositoryToken } from '@nestjs/typeorm';
import { SongController } from './song.controller';
import { SongService } from './song.service';
import { Song } from './song.entity';

const mockSong = new Song();

describe('SongController', () => {
  let controller: SongController;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      controllers: [SongController],
      providers: [
        SongService,
        {
          provide: getRepositoryToken(Song),
          useValue: {
            findAll: jest.fn().mockResolvedValue([mockSong]),
            findOneById: jest.fn().mockResolvedValue(mockSong),
            create: jest.fn().mockResolvedValue(1),
            update: jest.fn().mockResolvedValue("Song updated successfully"),
            remove: jest.fn().mockResolvedValue(null),
          },
        },
      ]
    }).compile();

    controller = module.get<SongController>(SongController);
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });
});
